Ubuntu 16.04.1 LTS 版本的 gcc 出现问题

软件和网站开发以及相关技术探讨
回复
linglu
帖子: 1
注册时间: 2011-08-20 23:52
送出感谢: 0
接收感谢: 0

Ubuntu 16.04.1 LTS 版本的 gcc 出现问题

#1

帖子 linglu » 2016-07-28 15:58

在当前目录写了一个 hello.c,如下:

代码: 全选

#include <stdio.h>

int main(void) 
{
  printf("Hello World!");
  return 0;
}
然后使用 gcc 编译,结果如附件所示

执行命令
$ which gcc
/usr/bin/gcc

不知道为什么会执行到:
cat: /home/linky/workspace/repo/repository/build-tool3:
这一句

还有这一句:/tmp/ccVzFmaW.o:无法识别文件: 文件被截断
也不知道什么意思,

请教各位大神
附件
gcc.png
头像
astolia
论坛版主
帖子: 4842
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 814 次

Re: Ubuntu 16.04.1 LTS 版本的 gcc 出现问题

#2

帖子 astolia » 2016-07-30 19:21

显然是你以前安装软件时把系统的工具链弄乱了。
最简单的方法就是把已安装的所有gcc的包重装一遍
回复

回到 “软件/网站开发”